> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truestate.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Enable Workspaces From Proposal



## OpenAPI

````yaml https://api.truestate.io/openapi.json post /workspaces/enable-from-proposal/
openapi: 3.1.0
info:
  title: TrueState Backend API
  summary: >-
    TrueState is an AI platform for business users to create high-impact AI
    solutions.
  description: >

    This **[TrueState](https://www.truestate.io/)** backend API allows our
    clients to automate and more powerfully retrieve and modify data from the
    TrueState platform.


    Example use cases include:


    - Accessing embeddings for a dataset.

    - Automating the process of dataset creation and model retraining as your
    data changes.

    - Much more.


    Our backend is built using the [FastAPI](https://fastapi.tiangolo.com/)
    framework in python

    using [Auth0](https://auth0.com/) and [Client API
    Keys](https://www.truestate.io/dawn/docs) for internal an external
    authentication, respectively.

    Our backend is designed to be secure, scalable, easy to use and well
    documented _(each router with its own linked docs page)_.

    Clients can only access data from their own organisation, as setup in Auth0
    our the Client API Keys. See how
    **[here](https://www.truestate.io/dawn/docs)**.


    **PS**: You can view this API documentation in either
    **[Swagger](swagger/docs)** or **[Redoc](redoc/)**, but only the swagger
    lets you test calls.
  contact:
    name: True State Support
    url: https://www.truestate.io/dawn/docs
    email: support@truestate.io
  license:
    name: Private
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  version: 0.13.95
servers: []
security: []
paths:
  /workspaces/enable-from-proposal/:
    post:
      tags:
        - workspaces
      summary: Enable Workspaces From Proposal
      operationId: enable_workspaces_from_proposal_workspaces_enable_from_proposal__post
      parameters:
        - name: Api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Api-Key
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WorkspaceGroupingProposal-Input'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkspaceSettingsRead'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    WorkspaceGroupingProposal-Input:
      properties:
        algorithm_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Algorithm Version
        workspaces:
          items:
            $ref: '#/components/schemas/WorkspaceProposalWorkspace-Input'
          type: array
          title: Workspaces
      type: object
      title: WorkspaceGroupingProposal
    WorkspaceSettingsRead:
      properties:
        organisation_id:
          type: string
          title: Organisation Id
        workspaces_enabled:
          type: boolean
          title: Workspaces Enabled
        auto_grouping_enabled:
          type: boolean
          title: Auto Grouping Enabled
        grouping_status:
          type: string
          title: Grouping Status
        last_grouping_run_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Grouping Run Type
        last_grouping_started_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Grouping Started At
        last_grouping_completed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Grouping Completed At
        last_grouping_error:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Grouping Error
        grouping_algorithm_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Grouping Algorithm Version
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
      type: object
      required:
        - organisation_id
        - workspaces_enabled
        - auto_grouping_enabled
        - grouping_status
      title: WorkspaceSettingsRead
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    WorkspaceProposalWorkspace-Input:
      properties:
        draft_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Draft Id
        name:
          type: string
          title: Name
        description:
          type: string
          title: Description
          default: ''
        seed_asset_type:
          anyOf:
            - $ref: '#/components/schemas/WorkspaceAssetType'
            - type: 'null'
        seed_asset_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Seed Asset Id
        assets:
          items:
            $ref: '#/components/schemas/WorkspaceProposalAsset'
          type: array
          title: Assets
      type: object
      required:
        - name
      title: WorkspaceProposalWorkspace
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    WorkspaceAssetType:
      type: string
      enum:
        - DATASET
        - DASHBOARD
        - PIPELINE
        - AUTOMATION
        - MODEL
        - REPORT
      title: WorkspaceAssetType
    WorkspaceProposalAsset:
      properties:
        asset_type:
          $ref: '#/components/schemas/WorkspaceAssetType'
        asset_id:
          type: string
          format: uuid
          title: Asset Id
        asset_name:
          type: string
          title: Asset Name
          default: ''
        role:
          $ref: '#/components/schemas/WorkspaceAssetRole'
          default: supporting
        source:
          $ref: '#/components/schemas/WorkspaceAssetSource'
          default: manual
        confidence:
          type: number
          title: Confidence
          default: 1
        evidence:
          additionalProperties: true
          type: object
          title: Evidence
      type: object
      required:
        - asset_type
        - asset_id
      title: WorkspaceProposalAsset
    WorkspaceAssetRole:
      type: string
      enum:
        - anchor
        - input
        - output
        - dashboard
        - pipeline
        - automation
        - model
        - report
        - supporting
        - reference
      title: WorkspaceAssetRole
    WorkspaceAssetSource:
      type: string
      enum:
        - manual
        - current_workspace
        - lineage
        - explicit_link
      title: WorkspaceAssetSource
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````